- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TChoiceFormat
TDateFormat
TGlobalization
TGlobalizationAutoDetect
TI18NControl
TNumberFormat
Translation
TTranslate
TTranslateParameter

Keyword

# Class Translation

    TComponent
       |
       --Translation

Translation class.

Provides translation using a static MessageFormatter.

Author: Xiang Wei Zhuo <weizhuo[at]gmail[dot]com>

Method Summary
MessageFormat | formatter ( mixed $catalogue) Get the static formatter from this component.
void | init ( mixed $catalogue) Initialize the TTranslate translation components
void | saveMessages () Save untranslated messages to the catalogue.

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## formatter

public MessageFormat formatter | (mixed $catalogue )

Get the static formatter from this component.

Input
mixed | $catalogue |
Output
MessageFormat | formattter.
Exception

## init

public void init | (mixed $catalogue )

Initialize the TTranslate translation components

Input
mixed | $catalogue |
Output
Exception

## saveMessages

public void saveMessages | ()

Save untranslated messages to the catalogue.

Output
Exception